Update details of a business user created in the system
Header Parameters
X-Auth-User-IDstring Required
MatchMove provided ID for the user.
Authorizationstring
Body Parameters
idstring
namestring
The name of the business.
Max length
50
emailstring
Registration email for the business
mobile_country_codestring
Supported Country codes for the business can be retrieved from GET /users/enumerations/mobile_country_codes
mobilestring
Mobile number of the business
foundation_datestring
The date when the business was founded in standard date format
purpose_of_account_openingstring
The business purpose for opening the account
tax_id_numberstring
Number of the tax identification document
tax_id_issuance_countrystring
Country where the tax document was issued
tax_id_date_issuedstring
Issued date of id type in standard date format
tax_id_date_expirystring
Id type expiry date in standard date format
client_reference_idstring
Client Reference ID to be passed
Max length
50
source_of_fundsstring
Source of Funds to be passed
Max length
100
additional_detailsobject
JSON meta data of additional detail
Response
200
Object
OK
Response Attributes
idstring Required
Pattern
^[a-zA-Z0-9]*
readOnly
emailstring Required
Registration email for the business.
nameobject Required
Show child attributes
mobileobject Required
Show child attributes
tax_identificationobject
Show child attributes
foundation_datestring
Date when the business was founded.
account_typestring
Type of account. Business or individual
Enum values:
individualbusiness
statusobject Required
Show child attributes
dateobject Required
Show child attributes
risk_assessment_statusstring
Risk Evaluation of the Business
Enum values:
PENDINGCLEAREDREJECTEDUNKNOWN
client_reference_idstring
Nullable:
True
source_of_fundsstring
Source of funds for business
Nullable:
True
purpose_of_account_openingstring
The business purpose for opening the account.
client_ref_idstring
additional_detailsobject
JSON meta data of additional detail
400
Object
Bad Request
| Code | Description |
| :---------- | :---------- |
| resource_risk_service_blacklisted_update_error | Request parameters flagged and not allowed to update. |
| resource_user_unrecognized_tax_id_type | Invalid tax_id_type |
| resource_user_tax_id_type_and_number_invalid | tax_id_number` must not be empty if `tax_id_type` is provided and vice-versa |
| user_tax_id_number_above_max_length | User `tax_id_number` must not exceed 30 characters |
| resource_tax_id_type_rule_not_matched | `tax_id_number` format doesnt match the rule defined for the tax_id_type |
| resource_user_name_rule | Paramter `name` must only contain letters and spaces |
| resource_user_name_lengthmax | Paramter `name` is too long, it cannot exceed 50 characters |
| resource_user_tax_id_date_expiry_invalid | Parameter `tax_id_date_expiry` is invalid |
| Either `tax_id_date_expiry` or `tax_id_date_issue` parameter is empty |
| future_foundation_date_not_allowed | Users `foundation_date` can not be a future date |
| resource_user_foundation_date_invalid | User `foundation_date` is invalid. Please make sure it is in ISO 8601 format |
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
403
Object
Forbidden
| Code | Description | Examples/Notes|
| :---------- | :---------- | :-------------|
| restricted_resource | Access with method `POST` denied |
| risk_management_engine_error | An exception occurred during the processing of the risk and compliance of the user. |
| user_blocked_risk_threshold_exceeded | User have exceeded the risk and compliance threshold and was automatically blocked. |